Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.jacc
Interface PolicyContextHandler

public interface PolicyContextHandler

This interface defines the methods that must be implemented by handlers that are to be registered and activated by the `PolicyContext` class. The `PolicyContext` class provides methods for containers to register and activate container-specific `PolicyContext` handlers. `Policy` providers use the `PolicyContext` class to activate handlers to obtain (from the container) additional policy relevant context to apply in their access decisions. All handlers registered and activated via the `PolicyContext` class must implement the `PolicyContextHandler` interface.

Version:
  %I% %E%
Author:
  Ron Monzillo, Gary Ellison
See Also:
  `PolicyContext`, `PolicyContextException`

Method Summary
`java.lang.Object` | `getContext(java.lang.String key, java.lang.Object data)` This public method is used by the `PolicyContext` class to activate the handler and obtain from it the context object identified by the (case-sensitive) key.
`java.lang.String[]` | `getKeys()` This public method returns the keys identifying the context objects supported by the handler.
`boolean` | `supports(java.lang.String key)` This public method returns a boolean result indicating whether or not the handler supports the context object identified by the (case-sensitive) key value.

Method Detail

### supports

    public boolean supports(java.lang.String key)
                     throws PolicyContextException

  This public method returns a boolean result indicating whether or not the handler supports the context object identified by the (case-sensitive) key value.

  Parameters:
    `key` - a `String` value identifying a context object that could be supported by the handler. The value of this parameter must not be null.
  Returns:
    a boolean indicating whether or not the context object corresponding to the argument key is handled by the handler.
  Throws:
    `PolicyContextException` - if the implementation throws a checked exception that has not been accounted for by the method signature. The exception thrown by the implementation class will be encapsulated (during construction) in the thrown PolicyContextException

### getKeys

    public java.lang.String[] getKeys()
                               throws PolicyContextException

  This public method returns the keys identifying the context objects supported by the handler. The value of each key supported by a handler must be a non-null `String` value.

  Returns:
    an array containing `String` values identifing the context objects supported by the handler. The array must not contain duplicate key values. In the unlikely case that the Handler supports no keys, the handler must return a zero length array. The value null must never be returned by this method.
  Throws:
    `PolicyContextException` - if the implementation throws a checked exception that has not been accounted for by the method signature. The exception thrown by the implementation class will be encapsulated (during construction) in the thrown PolicyContextException

### getContext

    public java.lang.Object getContext(java.lang.String key,
                                       java.lang.Object data)
                                throws PolicyContextException

  This public method is used by the `PolicyContext` class to activate the handler and obtain from it the context object identified by the (case-sensitive) key. In addition to the key, the handler will be activated with the handler data value associated within the `PolicyContext` class with the thread on which the call to this method is made.

  Note that the policy context identifier associated with a thread is available to the handler by calling PolicyContext.getContextID().

  Parameters:
    `key` - a String that identifies the context object to be returned by the handler. The value of this paramter must not be null.
    `data` - the handler data `Object` associated with the thread on which the call to this method has been made. Note that the value passed through this parameter may be `null`.
  Returns:
    The container and handler specific `Object` containing the desired context. A `null` value may be returned if the value of the corresponding context is null.
  Throws:
    `PolicyContextException` - if the implementation throws a checked exception that has not been accounted for by the method signature. The exception thrown by the implementation class will be encapsulated (during construction) in the thrown PolicyContextException

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.